Page MenuHomePhabricator

enable sitenotice mobile for Arwiki
Closed, ResolvedPublic

Description

sitenotice or Anonnotice don't display for mobile users, I read in this old request that it need to enable first,
so can we request to enable this feature in Arwiki? We've already discussed this idea and no objection.

thanks.

On-wiki discussion: https://ar.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D8%A7%D9%84%D9%85%D9%8A%D8%AF%D8%A7%D9%86/%D8%AA%D9%82%D9%86%D9%8A%D8%A9/08/2016#.D9.85.D9.82.D8.AA.D8.B1.D8.AD_.D9.84.D8.AD.D8.B3.D9.85_.D8.A7.D9.84.D9.85.D8.B3.D8.A3.D9.84.D8.A9

Event Timeline

Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptDec 10 2016, 2:20 AM
Urbanecm added a subscriber: Urbanecm.

Please provide a link to that discussion.

This comment was removed by Urbanecm.
Urbanecm triaged this task as Low priority.EditedDec 11 2016, 10:39 AM
Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.
Urbanecm added a subscriber: Florian.

@Florian or @Jdlrobson Can you help with this? The only one thing I found there is a conf var (https://www.mediawiki.org/wiki/MobileFrontend_Localisation_Test_1#.24wgMFEnableSiteNotice) for it but it isn't in CommonSettings.

@Ibrahim.ID Thanks for the link.

Regarding the priority: We must find out how (and if) we'll process this request.

Sure, the config variable changed to a more skin specific one. $wgMinervaEnableSiteNotice (which is already set in InitialiseSettings and defaults to false). I'll prepare a change :)

Change 327253 had a related patch set uploaded (by Florianschmidtwelzow):
Enable sitenotice banners for arwiki

https://gerrit.wikimedia.org/r/327253

Jdlrobson added a subscriber: Nirzar.

FYI these were purposely disabled by default due to seriously impacting reader experience. Note a site notice will consume most of a mobile device screen, push down all content and potentially turn away users who might mistake them for banner adverts. There's a bug somewhere (ping @Nirzar ) to redesign those.

@Florian can you hold off merging that just yet? We should consider the full effect of these sorts of seemingly harmless changes.
@Ibrahim.ID can you point to the onwiki discussion?

My apologies I missed the comment.

Can you point me to the SIteNotice you are hoping to run? I would like to show a screenshot of how this would look in mobile if enabled.

Can we look at an example. it's difficult to understand the impact without that. another question: is this task supposed to enable only for ARwiki?

@Florian can you hold off merging that just yet? We should consider the full effect of these sorts of seemingly harmless changes.

I don't and can't merge things for the mediawiki configuratio :) However, I also won't block a community decision :)

this is centralNotice in mobile view for example

FYI I won't be available for the next few weeks.

I'm just keen that ARWiki had the right information to make a decision. The sitenotices do not behave exactly like the CentralNotices (for instance if I recall correctly some cannot be dismissed) so if someone does SWAT this please do test out any site notice on a real mobile device (e.g. iPhone/Android) as they may appear completely different to desktop and check you're getting what you hoped for. We have a responsibility to not put off our readers from getting information in the process of runing these. The large and more noticeable display of these on mobile could give some the feeling like we are serving them advertisements.

we have experienced users in css and MediaWiki codes, so don't worry about the appearance, of course we will test it all OS and platforms to ensure it work good before launch any sitenotices for mobile.

Change 327253 merged by jenkins-bot:
Enable sitenotice banners for arwiki

https://gerrit.wikimedia.org/r/327253

Ibrahim.ID closed this task as Resolved.Jan 12 2017, 12:44 PM
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptMar 6 2018, 11:43 PM